Skip to main content
Jump to: navigation, search

Recommenders/Attic/Release/ProjectChecks

< Recommenders
Revision as of 17:32, 12 November 2011 by Bruch.st.informatik.tu-darmstadt.de (Talk | contribs) (New page: = Plugins = * Files: ** about.html exists * META-INF/MANIFEST.MF ** Bundle-Name: starts with "Code Recommenders:" ** Bundle-Name: ends with "(Incubation)" or "(Incubation) (Experimental)...)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Plugins

  • Files:
    • about.html exists
  • META-INF/MANIFEST.MF
    • Bundle-Name: starts with "Code Recommenders:"
    • Bundle-Name: ends with "(Incubation)" or "(Incubation) (Experimental)"
    • Bundle-Vendor: is "Eclipse Code Recommenders"
    • Bundle-Version: ends with ".qualifier"
    • Bundle-RequiredExecutionEnvironment: is "JavaSE-1.6" for java projects
    • Require-Bundle: all org.eclipse.org bundles are 3.6.0 at most
    • Bundle-SymbolicName starts with "org.eclipse.recommenders"
  • build.properties
    • includes about.html (??)

Features

  • Files:
    • about.html exists
    • epl-v10.html exists
    • feature.properties exists
    • license.html
  • feature.xml
    • provider-name is "Eclipse Code Recommenders"
    • version ends with ".qualifier"

Back to the top